---@class PlayerDetector
local PlayerDetector = {}

---@alias PPlayer {x: number, y: number, z: number, yaw: number, pitch: number, dimension: string, eyeHeight: number, health: number, maxHealth: number, airSupply: number, respawnPosition: Vec3, respawnDimension: string, respawnAngle: number}

---@return string
function PlayerDetector:getOnlinePlayers() end

---@return PPlayer
---@param name string
function PlayerDetector:getPlayer(name) end

---@return boolean
---@param name string
---@param range number
function PlayerDetector:isPlayerInRange(range, name) end

---@return string[]
---@param range number
function PlayerDetector:getPlayersInRange(range) end

---@return string[]
---@param x number
---@param y number
---@param z number
function PlayerDetector:getPlayersInCubic(x,y,z) end

